EDIT - task #6208

task # 3336 (In Progress): Improve overall dataportal page loading performance

Implement synonymy service responding with DTO
11/21/2016 02:23 PM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 50%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

The synonymy as returned by the is portal/taxon/{uuid}/synonymy is sometime quite huge and contains a lot of unused information.
We need a streamlined service endpoint that returns a list DTOs

Examples for huge synonymy responses:
e Cichorieae - Crepidiastrum chelidoniifolium:

http://localhost:8080/portal/taxon/3e0cdb93-020c-4e2f-be85-e9ebiec107be/synonymy [17008.2 kb]
e Cichorieae - Crepis

Related issues:

Related to EDIT - bug #6211: massive heap consumption by service endpoint /po... Closed
Related to EDIT - feature request #9271: Improve E+M dataportal performance In Progress
Related to EDIT - task #10222: Use DTOs for portal taxon page - first impleme... Closed
Related to EDIT - feature request #10322: Use DTOs for portal taxon page (cont.) In Progress
History

#1 - 11/21/2016 02:23 PM - Andreas Kohlbecker

- Description updated

#2 - 11/25/2016 06:40 AM - Andreas Miiller

- Related to bug #6211: massive heap consumption by service endpoint /portal/taxon/{uuid}/synonymy added

#3 - 11/25/2016 03:37 PM - Andreas Miiller
- Status changed from New to Rejected

- Target version deleted (Unassigned CDM tickets)

The fixes for #6211 improve the situation tremendously. Implementing a pure DTO may be a complex task therefore we reject this ticket for now.

#4 - 11/02/2020 09:56 PM - Andreas Miiller
- Related to feature request #9271: Improve E+M dataportal performance added

#5 - 03/26/2021 04:07 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

| think we should reopen this ticket since we will be working on this this year

#6 - 03/26/2021 04:13 PM - Andreas Miiller
- Status changed from Rejected to New

- Target version set to Release 5.45

#7 - 03/23/2022 10:26 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.44
http://localhost:8080/portal/taxon/3e0cdb93-020c-4e2f-be85-e9eb1ec107be/synonymy
https://dev.e-taxonomy.eu/redmine/issues/6211

#8 - 01/09/2023 07:34 PM - Andreas Miiller
- Related to task #10222: Use DTOs for portal taxon page - first implementation for E+M added

#9 - 09/27/2023 10:21 AM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#10 - 09/27/2023 10:24 AM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 50

This is more or less implemented by #10222/ #10322 | guess.

#11 - 02/14/2024 11:43 PM - Andreas Miiller

- Subject changed from implement synonymy service responding with DTO to Implement synonymy service responding with DTO

- Target version changed from Release 5.44 to Release 5.43
https://dev.e-taxonomy.eu/redmine/issues/10222
https://dev.e-taxonomy.eu/redmine/issues/10322
